var Chart = function() {
	return {
		init: function() {
            $("#rank_icon, #criar_icon, #home_icon, #chart_icon").css({"color":"#7f96ac"});
            $("#chart_icon").css({"color":"#32c5d2"});
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_perfil.php',
				data: { sessao: db.getItem('session'), id: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
                    window.scrollTo(0, 0);
					$("#loader").hide();
					if(json.id) {
						clearInputs();
                        var all = "";
                        for(var i = 0; i < json.rank.length; i++) {
                                all += '<div class="portlet light ">' +
                                            '<div class="portlet-title" style="text-align:center">' +
                                                '<div class="caption">' +
                                                    '<img src="img/jogos/'+json.rank[i].catid+'.png" width="32" />' +
                                                    '<span class="caption-subject font-red-sunglo bold uppercase">&nbsp;&nbsp;'+json.rank[i].jogo+'</span>' +
                                                '</div>' +
                                            '</div>' +
                                            '<table class="table table-hover table-light" style="text-align:center">' +
                                                '<tbody>' +
                                                    '<tr>' +
                                                        '<td style="text-align:left"><h4>Rank</h4></td><td><h4><strong>'+json.rank[i].ordem+'</strong></h4></td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                        '<td style="text-align:left"><h4>Level</h4></td><td><h4><strong>'+json.rank[i].level+'</strong></h4></td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                        '<td style="text-align:left"><h4>Experiência</h4></td><td><h4><strong>'+json.rank[i].exp+' xp</strong></h4></td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                        '<td style="text-align:left"><h4>Próximo level</h4></td><td><h4><strong>'+json.rank[i].next+' xp</strong></h4></td>' +
                                                    '</tr>' +
                                                    '<tr>' +
                                                        '<td style="text-align:left"><h4>Vitórias</h4></td><td><h4><strong style="color:green">'+json.rank[i].vitorias+'</strong></h4></td>' +
                                                     '</tr>' +
                                                    '<tr>' +
                                                        '<td style="text-align:left"><h4>Conquistas</h4></td><td><h4><strong>'+json.rank[i].rewards+'</strong></h4></td>' +
                                                    '</tr>' +
                                                 '</tbody>' +
                                            '</table>' +
                                         '</div>' +
                                    '</div>';
                        }
                        $("#lista_estatistica").html(all);
						ShowPage("estatistica");
					} else {
						if(json.erro)
                            swal("Oops...", json.erro, "error");
						else
                            swal("Oops...", "Ocorreu um erro ao carregar, tente novamente!", "error");
					}
				}, error: function(err) {
					$("#loader").hide();
                    swal("Oops...", "Ocorreu uma falha ao carregar, tente novamente!", "error");
				}
			});
        }
    };
}();