//BEGIN HOME
var Fichas = function() {
	return {
		init: function() {
			window.scrollTo(0, 0);
			$("#lista_historico").html("");
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_fichas.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.compra) {
						var all = '<br><h4 style="text-align:center">Fichas atuais</h4><div class="uppercase font-green" style="font-size:30px;text-align:center"><span>' + json.atual + '</span> <img src="img/fichas.png"></div><br><div class="row"><a href="javascript:Fichas.solicitar();" class="btn btn-lg green" style="width:100%;margin-top:12px"><i class="fa fa-money"></i>&nbsp;Solicitar em dinheiro</a></div><div class="row"><a href="javascript:ShowPage(\'comprar\');window.scrollTo(0,0);" class="btn btn-lg blue" style="width:100%;margin-top:12px"><i class="fa fa-shopping-cart"></i>&nbsp;Comprar fichas</a></div><br><h4>Importante:</h4><small><ul><li>Só poderá solicitar 30 dias após sua última compra.</li><li>Solicite a troca de fichas por dinheiro em reais.</li><li>200 fichas é o mínimo necessário para solicitar.</li><li>Todas suas fichas serão convertidas para dinheiro.</li><li>O valor que será pago por ficha é de 10 centavos.</li><li>O prazo para transferência do dinheiro é de 7 dias úteis.</li></ul></small><br><hr><h4>Histórico de transações</h4>';
						if(json.compra.length > 0) {
							all += '<table class="table table-hover table-light" id="tbCompras" style="display:none">' +
									'<thead>' +
										'<th><strong>Fichas</strong></th>' +
										'<th><strong>Valor</strong></th>' +
										'<th><strong>Data da compra</strong></th>' +
										'<th><strong>Data da confirmação</strong></th>' +
										'<th><strong>Status</strong></th>' +
									'</thead>' +
									'<tbody>';
							for(var i = 0; i < json.compra.length; i++) {
								all += '<tr>' +
											'<td>'+json.compra[i].fichas+'</td>' +
											'<td>'+json.compra[i].valor+'</td>' +
											'<td>'+json.compra[i].ini+'</td>' +
											'<td>'+json.compra[i].fim+'</td>' +
											'<td>'+json.compra[i].status+'</td>' +
										'</tr>';
							}
							all += '</tbody>' +
								'</table>';
						} else {
							all += "<br><h4>Nenhuma compra encontrada!</h4>";
						}
						
						all += "<hr><h4>Histórico de solicitações</h4>"
						if(json.solicitacao.length > 0) {
							all += '<table class="table table-hover table-light" id="tbSolicitacao" style="display:none">' +
									'<thead>' +
										'<th><strong>Fichas</strong></th>' +
										'<th><strong>Valor</strong></th>' +
										'<th><strong>Data da solicitação</strong></th>' +
										'<th><strong>Data de pagamento</strong></th>' +
										'<th><strong>Status</strong></th>' +
									'</thead>' +
									'<tbody>';
							for(var i = 0; i < json.solicitacao.length; i++) {
								all += '<tr>' +
											'<td>'+json.solicitacao[i].fichas+'</td>' +
											'<td>'+json.solicitacao[i].valor+'</td>' +
											'<td>'+json.solicitacao[i].ini+'</td>' +
											'<td>'+json.solicitacao[i].fim+'</td>' +
											'<td>'+json.solicitacao[i].status+'</td>' +
										'</tr>';
							}
							all += '</tbody>' +
								'</table>';
						} else {
							all += "<br><h4>Nenhuma solicitação encontrada!</h4>";
						}
						
						$("#lista_fichas").html(all);
						
						ShowPage('fichas');
						
						setTimeout(function() { $("#tbCompras, #tbSolicitacao").cardtable(); }, 250);
					} else {
						if(json.erro)
							alert(json.erro);
						else
							alert("Ocorreu um erro ao carregar, tente novamente!");
						//setTimeout(function() { Rank.init(); }, 2000);
					}
				}, error: function(err) {
					$("#loader").hide();
					alert("Ocorreu uma falha ao carregar, tente novamente!");
					//setTimeout(function() { Rank.init(); }, 2000);
				}
			});
		},
		solicitar: function() {
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_solicitar.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.id) {
						Notificacao.init();
						alert("Solicitado com sucesso!\nEm 7 dias úteis seu dinheiro estará na sua conta!");
					} else {
						if(json.erro) {
							if(json.erro == 1) {
								alert("Preencha as informações bancárias para recebimento!");
								Perfil.init();
								$(json.ids).css({"border":"1px solid red"});
							} else 
								alert(json.erro);
						} else
							alert("Ocorreu um erro ao carregar, tente novamente!");
					}
				}, error: function(err) {
					$("#loader").hide();
					alert("Ocorreu uma falha ao carregar, tente novamente!");
				}
			});
		}
	};
}();