var Popup = function() {
    return {
        init: function(texto, tempo, cor) {
            var tipo = "success";
            switch(cor){
                case "blue": tipo = "info"; break;
                case "green": tipo = "success"; break;
                case "red": tipo = "error"; break;
            }

            if(cor == "blue") {
                swal({   
                    title: texto,   
                    text: "",   
                    timer: 500,
                    type: tipo,
                    showConfirmButton: false 
                });
            } else {
               swal({   
                    title: texto,   
                    text: "",   
                    timer: 500,
                    animation: false,
                    type: tipo,
                    showConfirmButton: false 
                }); 
            }
        }  
    };
}();

// BEGIN JOGO 1
var Jogo1 = function() {
	var pontos = 0;
	var tempo = 0;
	var tempo_total = 60;
	var intervalo;
	var travado = false;
	var intervalo_segundos;
	var intervalo_start;
	var count_start = 3;
	var jogo_id = 0;
	return {
        senha: function(id) {
            $("#rank_icon, #criar_icon, #chart_icon, #home_icon").css({"color":"#7f96ac"});
			jogo_id = id;
			$("#jogo-content").html('<div class="portlet light">' +
										'<h3 style="text-align:center">Informe a senha da sala</h3>' +
										'<hr>' +
										'<div class="portlet-body form">' +
											'<div class="form-group">' +
												'<input type="password" class="form-control input-lg" maxlength="10" id="entrar_jogo" placeholder="Senha da sala" />' +
											'</div>' +
											'<div class="form-group">' +
												'<a href="javascript:Jogo1.check(' + id + ');" id="btnacessar" class="btn btn-lg blue" style="width:100%"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar!</a>' +
											'</div>' +
										'</div>' +
									'</div>');
			ShowPage('jogo');
		}, check: function(id) {
			$("#btnacessar").hide();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_check_senha.php',
				data: { jogo: jogo_id, senha: $("#entrar_jogo").val(), sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					$("#btnacessar").show();
					if(json.erro)
						swal("Oops...", json.erro, "error");
					else
						Jogo1.init(jogo_id);
				}, error: function(err) {
					Jogo1.check(jogo_id);
				}
			});
		}, init: function (id) {
            $("#rank_icon, #criar_icon, #chart_icon, #home_icon").css({"color":"#7f96ac"});
			pontos = 0;
		    tempo = 0;
		    tempo_total = 60;
		    travado = false;
		    clearInterval(intervalo_segundos);
		    clearInterval(intervalo_start);
			clearInterval(intervalo);
		    count_start = 3;
			jogo_id = id;
			$("#jogo-content").html("");
			Jogo1.retornaRank();
			ShowPage('jogo');
		}, retornaRank: function() {
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_lis_jogo_rank.php',
				data: { jogo: jogo_id, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					
					$("#jogo-content").html('<div class="portlet light " id="jogo" style="display:none">' +
										'<h3 style="text-align:center">Restam <span id="segundos">60</span> Segundos</h3>' +
										'<h3 style="text-align:center"><span style="color:red" id="pontos">0</span> Pontos</h3>' +
										'<hr>' +
										'<div class="portlet-body form">' +
											'<h3 style="text-align:center" id="operacao"></h3>' +
											'<hr>' +
											'<div class="pricing-content-1">' +
												'<div class="row" id="opcoes">' +
												'</div>' +
											'</div>' +
										'</div>' +
									'</div>' +
									'<div class="portlet light " id="acabou" style="display:none;">' +
										'<h3 style="text-align:center">Acabou!!!</h3>' +
										'<h3 style="text-align:center"><span style="color:red" id="ponto_final">0</span> Pontos</h3>' +
										'<a href="javascript:Jogo1.retorna();" style="width:100%" class="btn btn-lg blue"> <i class="fa fa-refresh"></i>&nbsp;Tentar novamente</a>' +
										'<div class="myrank" style="display:none;text-align:center">' +
											'<hr>' +
                                            '<h4 style="text-align:center">Level: <span class="mylvl"></span></h4>' +
                                            '<h4 style="text-align:center">Experiência: <span class="myexp"></span></h4>' +
                                            '<h4 style="text-align:center">Próximo level: <span class="mynext"></span></h4>' +
										'</div>' +
										'<hr>' +
										'<table class="table table-hover table-light">' +
											'<tbody class="tbResultado">' +
											'</tbody>' +
										'</table>' +
									'</div>' +
									'<div class="portlet light " id="start">' +
										'<h3 style="text-align:center">' +
											'<img src="img/jogos/1.png" style="max-width:100%;padding:5px" />' +
										'</h3>' +
										'<h3 style="text-align:center">'+json.titulo+'</h3><br>' +
										'<div class="row list-separated">' +
											'<div class="col-xs-7">' +
												'<div class="font-grey-mint font-sm"> Tempo restante </div><div id="jjogo'+json.id+'" class="defaultCountdown"></div>' +
											'</div>' +
											'<div class="col-xs-5">' +
												'<div class="font-grey-mint font-sm"> Jogadores </div>' +
												'<div class="uppercase font-black" style="font-size:30px"> ' + json.qtd + ' <i class="fa fa-users"></i></div>' +
											'</div>' +
											(json.soujogador == 1 ? '<div class="col-xs-12"><div class="font-grey-mint font-sm"> Tentativas restantes </div><div class="uppercase font-black" style="font-size:30px"> ' + json.tentativas + ' <i class="fa fa-child"></i></div></div>' : '')+
										'</div>' +
										'<a href="javascript:Jogo1.start();" id="btnjogar" class="btn btn-lg blue" style="width:100%"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar!</a>' +
										'<hr>' +
										'<table class="table table-hover table-light">' +
											'<tbody class="tbResultado">' +
											'</tbody>' +
										'</table>' +
									'</div>');
					
					setTimeout(function() {
						//if(json.tipo == 0) {
							id = json.id;
							$('#jjogo' + id).countdown({
								until: +json.duracao,
								format: 'HMS',
								layout: '<div class="timer">'+
											'<div id="jval' + id + '" class="vals">'+
												'<div class="numbs h">{hnn}</div>'+
												'<div class="numbs m">{mnn}</div>'+
												'<div class="numbs s">{snn}</div>'+
											'</div>'+
											'<div class="labels">'+
												'<div class="labs hl">horas</div>'+
												'<div class="labs ml">mins</div>'+
												'<div class="labs sl">segs</div>'+
											'</div>'+
											'<div class="timer_over"></div>'+
										'</div>'
							});
							
							//setInterval(function() { if($("#jval" + id + " .h").html() == "00" && $("#jval" + id + " .m").html() == "00" && $("#jval" + id + " .s").html() == "00") { Home.init(); } }, 1000);
						//}
					
						var all = "";
						for(var i = 0; i < json.result.length; i++) {
							var pontos1 = json.result[i].pontos;
							all += '<tr>' + 
										'<td>'+(i+1)+'</td>' +
										'<td class="fit"><img class="user-pic rounded" src="'+json.result[i].img+'" width="35" height="35"></td>' +
										'<td><a href="javascript:Perfil.init(' + json.result[i].id + ');" class="primary-link">'+json.result[i].nome+'</a></td>' +
										'<td style="text-align:center"><span class="bold theme-font">'+ (pontos1 == 0 ? "-" : pontos1) +'</span></td>' +
									'</tr>';
						}
						$(".tbResultado").html(all);
						if(json.rank != -1) {
							$(".myrank").show();
                            $(".myexp").html(json.exp + "xp");
                            $(".mylvl").html(json.lvl);
                            $(".mynext").html(json.next + "xp");
						}
					}, 250);
				}, error: function(err) {
					Jogo1.retornaRank();
				}
			});
		}, 
		start: function() {
			$("#btnjogar").hide();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_start.php',
				data: { jogo: jogo_id, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.erro) {
						if(json.erro == 1) {
							alert("Você não tem fichas suficiente!");
							ShowPage("comprar");
							alert("Compre fichas e comece a ganhar!!!");
						} else {
							alert(json.erro);
							$("#btnjogar").show();
						}
					} else {
						Popup.init('3', 1000, 'blue');
						
						intervalo_start = setInterval(function() {
							count_start--;
							if(count_start >= 0) {
								Popup.init((count_start == 0 ? "Vai!!!" : count_start), 1000, 'blue');
							}
							if(count_start <= 0) {
								clearInterval(intervalo_start);
								Jogo1.go();
							}
						}, 1000);
					}
				}, error: function(err) {
					Jogo1.start();
				}
			});
		}, retorna: function() {
			Jogo1.init(jogo_id);
		}, go: function() {
			$("#start, #header_page, #sidebar_page").hide();
			$("body").css({"background":"#eef1f5"});
			$("#jogo").show();
			
			Jogo1.novoCenario(true);
			
			setTimeout(function() {
				$("#jogo").hide();
				Jogo1.enviar_pontos();
				clearInterval(intervalo_segundos);
				clearInterval(intervalo);
			}, 60000);
			
			intervalo_segundos = setInterval(function() {
				tempo_total--;
				$("#segundos").html(tempo_total);
			}, 1000);
		},
		novoCenario: function(reset) {
			if(reset)
				tempo = 60;
			var num1 = Math.floor((Math.random() * 9) + 1);
			var num2 = Math.floor((Math.random() * 9) + 1);
			var oper = Math.floor((Math.random() * 4) + 1);
			
			
			
			var res = 999;
			var resultado = "";
			var oper_str = "";
			while(num1 == num2 || num1 == res || num2 == res || res == 999) {
				num1 = Math.floor((Math.random() * 9) + 1);
				num2 = Math.floor((Math.random() * 9) + 1);
				switch(oper) {
					case 1: res = num1 + num2; oper_str = " + "; break;
					case 2: res = num1 - num2; oper_str = " - "; break;
					case 3: res = num1 * num2; oper_str = " x "; break;
					case 4: 
						while((num1 % num2) !== 0) {
							num1 = Math.floor((Math.random() * 9) + 1);
							num2 = Math.floor((Math.random() * 9) + 1);
						}
						res = num1 / num2; 
						oper_str = " ÷ ";
					break;
				}
			}
			
			var missing = Math.floor((Math.random() * 4) + 1);
			switch(missing) {
				case 1: 
					resultado = "<i class='fa fa-question-circle'></i>" + oper_str + num2 + " = " + res;
				break;
				case 2: 
					resultado = num1 + "&nbsp;<i class='fa fa-question-circle'></i>&nbsp;" + num2 + " = " + res; 
				break;
				case 3: 
					resultado = num1 + oper_str + "<i class='fa fa-question-circle'></i>&nbsp;= " + res; 
				break;
				case 4: 
					resultado = num1 + oper_str + num2 + " =&nbsp;<i class='fa fa-question-circle'></i>"; 
				break;
			}
			
			var aleatorio = Math.floor((Math.random() * 9) + 1);
			while(aleatorio == num1 || aleatorio == num2 || aleatorio == res) {
				aleatorio = Math.floor((Math.random() * 9) + 1);
			}
			
			var aleatorio2 = Math.floor((Math.random() * 9) + 1);
			while(aleatorio2 == num1 || aleatorio2 == num2 || aleatorio2 == res || aleatorio2 == aleatorio) {
				aleatorio2 = Math.floor((Math.random() * 9) + 1);
			}
			
			var all = "";
			var i = 0;
			var sorteados = [];
			var sorteado = Math.floor((Math.random() * 8) + 1);
			while(i < 9) {
				while($.inArray(sorteado, sorteados) != -1) {
					sorteado = Math.floor((Math.random() * 9) + 1);
				}
				sorteados.push(sorteado);
				var sorteado_str = "";
				var onclick = 0;
				switch(sorteado) {
					case 1: 
						sorteado_str = num1; 
						if(missing == 1) { 
							onclick = 1; 
						} 
					break;
					case 2: sorteado_str = "+"; if(missing == 2 && oper_str == " + ") { onclick = 1; } break;
					case 3: sorteado_str = "-"; if(missing == 2 && oper_str == " - ") { onclick = 1; } break;
					case 4: sorteado_str = "x"; if(missing == 2 && oper_str == " x ") { onclick = 1; } break;
					case 5: sorteado_str = "÷"; if(missing == 2 && oper_str == " ÷ ") { onclick = 1; } break;
					case 6: 
						sorteado_str = num2; 
						if(missing == 3) { 
							onclick = 1; 
						}
					break;
					case 7: 
						sorteado_str = res; 
						if(missing == 4) { 
							onclick = 1; 
						}
					break;
					case 8: 
						sorteado_str = aleatorio; 
					break;
					case 9: 
						sorteado_str = aleatorio2; 
					break;
				}
				all += '<div class="col-xs-4" style="margin-bottom:20px">' +
							'<div class="price-column-container border-active">' +
								'<div class="price-table-head" ontouchstart="' + (onclick == 0 ? "Jogo1.erro();" : "Jogo1.proximo();") + '">' +
									'<span>' + sorteado_str + '</span>' +
								'</div>' +
							'</div>' +
						'</div>';
				i++;
			}
			$("#opcoes").html(all);
			$("#operacao").html(resultado);
			$(".form").fadeIn("slow");
			intervalo = setInterval(function() {
				tempo--;
				
				$('#jogo').css({
					'position': 'absolute',
					'top': (($(window).height()/2) - ($('#jogo').height()/2)) + "px",
					'margin' : '0px 8px 0px 0px'
				});
				
			}, 500);
			
			$('#jogo').css({
				'position': 'absolute',
				'top': (($(window).height()/2) - ($('#jogo').height()/2)) + "px",
				'margin' : '0px 8px 0px 0px'
			});
		},
		enviar_pontos: function() {
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_cad_jogo_pontos.php',
				data: { jogo: jogo_id, pontos: pontos, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
                    Notificacao.init();
					$("#loader").hide();
					$("#ponto_final").html(pontos);
					$.ajax({
						url: 'http://kasum.com.br/Kasum/includes/call_lis_jogo_rank.php',
						data: { jogo: jogo_id, sessao: db.getItem('session') },
						type: 'POST',
						dataType: 'json',
						async: true,
						success: function(json) {
							var all = "";
							for(var i = 0; i < json.result.length; i++) {
								var pontos1 = json.result[i].pontos;
								all += '<tr>' + 
											'<td>'+(i+1)+'</td>' +
											'<td class="fit"><img class="user-pic rounded" src="'+json.result[i].img+'" width="35" height="35"></td>' +
											'<td><a href="javascript:Perfil.init(' + json.result[i].id + ');" class="primary-link">'+json.result[i].nome+'</a></td>' +
											'<td style="text-align:center"><span class="bold theme-font">'+ (pontos1 == 0 ? "-" : pontos1) +'</span></td>' +
										'</tr>';
							}
							$(".tbResultado").html(all);
							if(json.rank != -1) {
								$(".myrank").show();
                                $(".myexp").html(json.exp + "xp");
                                $(".mylvl").html(json.lvl);
                                $(".mynext").html(json.next + "xp");
							}
							if($('.page-sidebar').height() > 0) { $('#set_menu').click(); }
						}, error: function(err) {
							
						}
					});
					$("#acabou, #header_page, #sidebar_page").fadeIn('slow');
					$("body").css({"background":"#26344B"});
				}, error: function(err) {
					Jogo1.enviar_pontos();
				}
			});
		},
		proximo: function() {
			/*Popup.init('Acertou!', 1000, 'green');*/
			$(".form").hide();
			clearInterval(intervalo);
			var rodada = 10;
			if(tempo > 0) {
				rodada = Math.ceil(((tempo * 100) / 60));
			}
			pontos += rodada;
			$("#pontos").html(pontos);
			Jogo1.novoCenario(true); 
		}, 
		erro: function() {
			Popup.init('Errou!', 1000, 'red');
			$(".form").hide();
			clearInterval(intervalo);
			Jogo1.novoCenario(false);
		}
	};
}();
// END JOGO 1

// BEGIN JOGO 1
var Jogo2 = function() {
	var pontos = 0;
	var tempo = 0;
	var tempo_total = 60;
	var intervalo;
	var qtd_click = 0;
	var travado = false;
	var intervalo_segundos;
	var intervalo_start;
	var count_start = 3;
	var jogo_id = 0;
	return {
        senha: function(id) {
            $("#rank_icon, #criar_icon, #chart_icon, #home_icon").css({"color":"#7f96ac"});
			jogo_id = id;
			$("#jogo-content").html('<div class="portlet light">' +
										'<h3 style="text-align:center">Informe a senha da sala</h3>' +
										'<hr>' +
										'<div class="portlet-body form">' +
											'<div class="form-group">' +
												'<input type="password" class="form-control input-lg" maxlength="10" id="entrar_jogo" placeholder="Senha da sala" />' +
											'</div>' +
											'<div class="form-group">' +
												'<a href="javascript:Jogo2.check(' + id + ');" id="btnacessar" class="btn btn-lg blue" style="width:100%"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar!</a>' +
											'</div>' +
										'</div>' +
									'</div>');
			ShowPage('jogo');
		}, check: function(id) {
			$("#btnacessar").hide();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_check_senha.php',
				data: { jogo: jogo_id, senha: $("#entrar_jogo").val(), sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					$("#btnacessar").show();
					if(json.erro)
						swal("Oops...", json.erro, "error");
					else
						Jogo2.init(jogo_id);
				}, error: function(err) {
					Jogo2.check(jogo_id);
				}
			});
		}, init: function (id) {
            $("#rank_icon, #criar_icon, #chart_icon, #home_icon").css({"color":"#7f96ac"});
			clearInterval(intervalo_segundos);
			clearInterval(intervalo);
			pontos = 0;
			tempo = 0;
			tempo_total = 60;
			qtd_click = 0;
			travado = false;
			count_start = 3;
			jogo_id = id;
			$("#jogo-content").html("");
			Jogo2.retornaRank();
			ShowPage('jogo');
		},
		start: function() {
			$("#btnjogar").hide();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_start.php',
				data: { jogo: jogo_id, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.erro) {
						if(json.erro == 1) {
							alert("Você não tem fichas suficiente!");
							ShowPage("comprar");
							alert("Compre fichas e comece a ganhar!!!");
						} else {
							alert(json.erro);
							$("#btnjogar").show();
						}
					} else {
						Popup.init('3', 1000, 'blue');
						
						intervalo_start = setInterval(function() {
							count_start--;
							if(count_start >= 0) {
								Popup.init((count_start == 0 ? "Vai!!!" : count_start), 1000, 'blue');
							}
							if(count_start <= 0) {
								clearInterval(intervalo_start);
								Jogo2.go();
							}
						}, 1000);
					}
				}, error: function(err) {
					Jogo2.init(jogo_id);
				}
			});
		},
		go: function() {
			$("#start, #header_page, #sidebar_page").hide();
			$("body").css({"background":"#eef1f5"});
			$("#jogo").show();
			
			Jogo2.novoCenario(true);
			
			setTimeout(function() {
				$("#jogo").hide();
				Jogo2.enviar_pontos();
				clearInterval(intervalo_segundos);
				clearInterval(intervalo);
			}, 60000);
			
			intervalo_segundos = setInterval(function() {
				tempo_total--;
				$("#segundos").html(tempo_total);
			}, 1000);
		}, 
		retorna: function() {
			Jogo2.init(jogo_id);
		},
		enviar_pontos: function() {
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_cad_jogo_pontos.php',
				data: { jogo: jogo_id, pontos: pontos, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
                    Notificacao.init();
					$("#loader").hide();
					$("#ponto_final").html(pontos);
					$.ajax({
						url: 'http://kasum.com.br/Kasum/includes/call_lis_jogo_rank.php',
						data: { jogo: jogo_id, sessao: db.getItem('session') },
						type: 'POST',
						dataType: 'json',
						async: true,
						success: function(json) {
							var all = "";
							for(var i = 0; i < json.result.length; i++) {
								var pontos1 = json.result[i].pontos;
								all += '<tr>' + 
											'<td>'+(i+1)+'</td>' +
											'<td class="fit"><img class="user-pic rounded" src="'+json.result[i].img+'" width="35" height="35"></td>' +
											'<td><a href="javascript:Perfil.init(' + json.result[i].id + ');" class="primary-link">'+json.result[i].nome+'</a></td>' +
											'<td style="text-align:center"><span class="bold theme-font">'+ (pontos1 == 0 ? "-" : pontos1) +'</span></td>' +
										'</tr>';
							}
							$(".tbResultado").html(all);
							if(json.rank != -1) {
								$(".myrank").show();
                                $(".myexp").html(json.exp + "xp");
                                $(".mylvl").html(json.lvl);
                                $(".mynext").html(json.next + "xp");
							}
							if($('.page-sidebar').height() > 0) { $('#set_menu').click(); }
						}, error: function(err) {
							
						}
					});
					$("#acabou, #header_page, #sidebar_page").fadeIn('slow');
					$("body").css({"background":"#26344B"});
				}, error: function(err) {
					Jogo2.enviar_pontos();
				}
			});
		},
		retornaRank: function() {
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_lis_jogo_rank.php',
				data: { jogo: jogo_id, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					$("#jogo-content").html('<div class="portlet light " id="jogo" style="display:none">' +
										'<h3 style="text-align:center">Restam <span id="segundos">60</span> Segundos</h3>' +
										'<h3 style="text-align:center"><span style="color:red" id="pontos">0</span> Pontos</h3>' +
										'<hr>' +
										'<div class="portlet-body form">' +
											'<div class="pricing-content-1">' +
												'<div class="row" id="opcoes">' +
												'</div>' +
											'</div>' +
										'</div>' +
									'</div>' +
									'<div class="portlet light " id="acabou" style="display:none;">' +
										'<h3 style="text-align:center">Acabou!!!</h3>' +
										'<h3 style="text-align:center"><span style="color:red" id="ponto_final">0</span> Pontos</h3>' +
										'<a href="javascript:Jogo2.retorna();" style="width:100%" class="btn btn-lg blue"> <i class="fa fa-refresh"></i>&nbsp;Tentar novamente</a>' +
										'<div class="myrank" style="display:none;text-align:center">' +
											'<hr>' +
                                            '<h4 style="text-align:center">Level: <span class="mylvl"></span></h4>' +
                                            '<h4 style="text-align:center">Experiência: <span class="myexp"></span></h4>' +
                                            '<h4 style="text-align:center">Próximo level: <span class="mynext"></span></h4>' +
										'</div>' +
										'<hr>' +
										'<table class="table table-hover table-light">' +
											'<tbody class="tbResultado">' +
											'</tbody>' +
										'</table>' +
									'</div>' +
									'<div class="portlet light " id="start">' +
										'<h3 style="text-align:center">' +
											'<img src="img/jogos/2.png" style="max-width:100%;padding:5px" />' +
										'</h3>' +
										'<h3 style="text-align:center">'+json.titulo+'</h3><br>' +
										'<div class="row list-separated">' +
											'<div class="col-xs-7">' +
												'<div class="font-grey-mint font-sm"> Tempo restante </div><div id="jjogo'+json.id+'" class="defaultCountdown"></div>' +
											'</div>' +
											'<div class="col-xs-5">' +
												'<div class="font-grey-mint font-sm"> Jogadores </div>' +
												'<div class="uppercase font-black" style="font-size:30px"> ' + json.qtd + ' <i class="fa fa-users"></i></div>' +
											'</div>' +
											(json.soujogador == 1 ? '<div class="col-xs-12"><div class="font-grey-mint font-sm"> Tentativas restantes </div><div class="uppercase font-black" style="font-size:30px"> ' + json.tentativas + ' <i class="fa fa-child"></i></div></div>' : '')+
										'</div>' +
										'<a href="javascript:Jogo2.start();" id="btnjogar" class="btn btn-lg blue" style="width:100%"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar!</a>' +
										'<hr>' +
										'<table class="table table-hover table-light">' +
											'<tbody class="tbResultado">' +
											'</tbody>' +
										'</table>' +
									'</div>');
					setTimeout(function() {
						//if(json.tipo == 0) {
							id = json.id;
							$('#jjogo' + id).countdown({
								until: +json.duracao,
								format: 'HMS',
								layout: '<div class="timer">'+
											'<div id="jval' + id + '" class="vals">'+
												'<div class="numbs h">{hnn}</div>'+
												'<div class="numbs m">{mnn}</div>'+
												'<div class="numbs s">{snn}</div>'+
											'</div>'+
											'<div class="labels">'+
												'<div class="labs hl">horas</div>'+
												'<div class="labs ml">mins</div>'+
												'<div class="labs sl">segs</div>'+
											'</div>'+
											'<div class="timer_over"></div>'+
										'</div>'
							});
							
							//setInterval(function() { if($("#jval" + id + " .h").html() == "00" && $("#jval" + id + " .m").html() == "00" && $("#jval" + id + " .s").html() == "00") { Home.init(); } }, 1000);
						//}
					
						var all = "";
						for(var i = 0; i < json.result.length; i++) {
							var pontos1 = json.result[i].pontos;
							all += '<tr>' + 
										'<td>'+(i+1)+'</td>' +
										'<td class="fit"><img class="user-pic rounded" src="'+json.result[i].img+'" width="35" height="35"></td>' +
										'<td><a href="javascript:Perfil.init(' + json.result[i].id + ');" class="primary-link">'+json.result[i].nome+'</a></td>' +
										'<td style="text-align:center"><span class="bold theme-font">'+(pontos1 == 0 ? "-" : pontos1)+'</span></td>' +
									'</tr>';
						}
						$(".tbResultado").html(all);
						if(json.rank != -1) {
							$(".myrank").show();
                            $(".myexp").html(json.exp + "xp");
                            $(".mylvl").html(json.lvl);
                            $(".mynext").html(json.next + "xp");
						}
					}, 250);
				}, error: function(err) {
					Jogo2.retornaRank();
				}
			});
		},
		novoCenario: function(reset) {
			if(reset)
				tempo = 60;
			
			var all = "";
			var qtd = 0;
			while(qtd != 3) {
				var sorteados = [];
				var i = 0;
				qtd = 0;
				while(i < 9) { 
					var sorteado = Math.floor((Math.random() * 2) + 1);
					if(sorteado == 1 && qtd < 3)
						qtd++;
					else
						sorteado = 2;
					sorteados.push(sorteado);
					i++;
				}
			}
			
			for(i = 0; i < sorteados.length; i++) {
				all += '<div class="col-xs-4" style="margin-bottom:20px">' +
							'<div class="price-column-container border-active">' +
								'<div class="price-table-head" ontouchstart="' + (sorteados[i] == 2 ? "Jogo2.erro();" : "Jogo2.proximo(this);") + '">' +
									'<span>' + (sorteados[i] == 2 ? "<i class='fa fa-bomb'></i>" : "<i class='fa fa-diamond'></i>") + '</span>' +
								'</div>' +
							'</div>' +
						'</div>';
			}
			
			$("#opcoes").html(all);
			$(".form").fadeIn("slow");
			intervalo = setInterval(function() {
				tempo--;
				
				$('#jogo').css({
					'position': 'absolute',
					'top': (($(window).height()/2) - ($('#jogo').height()/2)) + "px",
					'margin' : '0px 8px 0px 0px'
				});
				
			}, 500);
			
			$('#jogo').css({
				'position': 'absolute',
				'top': (($(window).height()/2) - ($('#jogo').height()/2)) + "px",
				'margin' : '0px 8px 0px 0px'
			});
		},
		proximo: function(obj) {
			if(qtd_click < 2) {
				if($(obj).find("span").css("color") != "rgb(255, 255, 255)") {
					$(obj).css({"background":"#27ae60"});
					$(obj).find("span").css({"color":"#FFF"});
					qtd_click++;
				}
			} else {
				if($(obj).find("span").css("color") != "rgb(255, 255, 255)") {
					$(".price-table-head").css({"background":"none"});
					$(".price-table-head span").css({"color":"#000"});
					qtd_click = 0;
					$(".form").hide();
					clearInterval(intervalo);
					var rodada = 10;
					if(tempo > 0) {
						rodada = Math.ceil(((tempo * 100) / 60));
					}
					pontos += rodada;
					$("#pontos").html(pontos);
					Jogo2.novoCenario(true); 
				}
			}
		}, 
		erro: function() {
			$(".price-table-head").css({"background":"none"});
			$(".price-table-head span").css({"color":"#000"});
			qtd_click = 0;
			Popup.init('Errou!', 1000, 'red');
			$(".form").hide();
			clearInterval(intervalo);
			Jogo2.novoCenario(false);
		}
	};
}();
//END JOGO 10

//BEGIN JOGO 3
var Jogo3 = function() {
	var pontos = 0;
	var tempo = 0;
	var tempo_total = 30;
	var intervalo;
	var qtd_click = 0;
	var travado = true;
	var intervalo_segundos;
	var intervalo_start;
	var intervalo_mem;
	var count_start = 3;
	var count_mem = 3;
	var sorteados = [];
	var cores_arr = ['#2ecc71','#3498db','#9b59b6','#34495e','#f1c40f','#e74c3c','#7f8c8d','#e67e22'];
	var jogo_id = 0;
	return {
        senha: function(id) {
            $("#rank_icon, #criar_icon, #chart_icon, #home_icon").css({"color":"#7f96ac"});
			jogo_id = id;
			$("#jogo-content").html('<div class="portlet light">' +
										'<h3 style="text-align:center">Informe a senha da sala</h3>' +
										'<hr>' +
										'<div class="portlet-body form">' +
											'<div class="form-group">' +
												'<input type="password" class="form-control input-lg" maxlength="10" id="entrar_jogo" placeholder="Senha da sala" />' +
											'</div>' +
											'<div class="form-group">' +
												'<a href="javascript:Jogo3.check(' + id + ');" id="btnacessar" class="btn btn-lg blue" style="width:100%"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar!</a>' +
											'</div>' +
										'</div>' +
									'</div>');
			ShowPage('jogo');
		}, check: function(id) {
			$("#btnacessar").hide();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_check_senha.php',
				data: { jogo: jogo_id, senha: $("#entrar_jogo").val(), sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					$("#btnacessar").show();
					if(json.erro)
						swal("Oops...", json.erro, "error");
					else
						Jogo3.init(jogo_id);
				}, error: function(err) {
					Jogo3.check(jogo_id);
				}
			});
		}, init: function(id) {
            $("#rank_icon, #criar_icon, #chart_icon, #home_icon").css({"color":"#7f96ac"});
			clearInterval(intervalo_segundos);
			clearInterval(intervalo);
			clearInterval(intervalo_mem);
			clearInterval(intervalo_start);
			pontos = 0;
			tempo = 0;
			tempo_total = 30;
			intervalo;
			qtd_click = 0;
		    travado = true;
		    intervalo_segundos;
		    intervalo_start;
		    intervalo_mem;
		    count_start = 3;
		    count_mem = 3;
		    sorteados = [];
			jogo_id = id;
			$("#jogo-content").html("");
			Jogo3.retornaRank();
			ShowPage('jogo');
		},
		start: function() {
			$("#btnjogar").hide();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_start.php',
				data: { jogo: jogo_id, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.erro) {
						if(json.erro == 1) {
							alert("Você não tem fichas suficiente!");
							ShowPage("comprar");
							alert("Compre fichas e comece a ganhar!!!");
						} else {
							alert(json.erro);
							$("#btnjogar").show();
						}
					} else {
						Popup.init('3', 1000, 'blue');
						
						intervalo_start = setInterval(function() {
							count_start--;
							if(count_start >= 0) {
								Popup.init((count_start == 0 ? "Vai!!!" : count_start), 1000, 'blue');
							}
							if(count_start <= 0) {
								clearInterval(intervalo_start);
								Jogo3.go();
							}
						}, 1000);
					}
				}, error: function(err) {
					Jogo3.enviar_pontos();
				}
			});
		},
		go: function() {
			$("#start, #header_page, #sidebar_page").hide();
			$("body").css({"background":"#eef1f5"});
			$("#jogo").show();
			
			Jogo3.novoCenario(true);
			
			intervalo_segundos = setInterval(function() {
				if(!travado) {
					tempo_total--;
					if(tempo_total <= 0) {
						$("#jogo").hide();
						Jogo3.enviar_pontos();
						clearInterval(intervalo_segundos);
						clearInterval(intervalo);
					} else
						$("#segundos").html(tempo_total);
				}
			}, 1000);
		},
		retorna: function() {
			Jogo3.init(jogo_id);
		},
		enviar_pontos: function() {
			$("#loader").show();
			$("#ponto_final").html(pontos);
			$("#acabou, #header_page, #sidebar_page").fadeIn('slow');
			$("body").css({"background":"#26344B"});
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_cad_jogo_pontos.php',
				data: { jogo: jogo_id, pontos: pontos, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
                    Notificacao.init();
					$("#loader").hide();
					$("#ponto_final").html(pontos);
					$.ajax({
						url: 'http://kasum.com.br/Kasum/includes/call_lis_jogo_rank.php',
						data: { jogo: jogo_id, sessao: db.getItem('session') },
						type: 'POST',
						dataType: 'json',
						async: true,
						success: function(json) {
							var all = "";
							for(var i = 0; i < json.result.length; i++) {
								var pontos1 = json.result[i].pontos;
								all += '<tr>' + 
											'<td>'+(i+1)+'</td>' +
											'<td class="fit"><img class="user-pic rounded" src="'+json.result[i].img+'" width="35" height="35"></td>' +
											'<td><a href="javascript:Perfil.init(' + json.result[i].id + ');" class="primary-link">'+json.result[i].nome+'</a></td>' +
											'<td style="text-align:center"><span class="bold theme-font">'+(pontos1 == 0 ? "-" : pontos1)+'</span></td>' +
										'</tr>';
							}
							$(".tbResultado").html(all);
							if(json.rank != -1) {
								$(".myrank").show();
                                $(".myexp").html(json.exp + "xp");
                                $(".mylvl").html(json.lvl);
                                $(".mynext").html(json.next + "xp");
							}
							if($('.page-sidebar').height() > 0) { $('#set_menu').click(); }
						}, error: function(err) {
							
						}
					});
					$("#acabou, #header_page, #sidebar_page").fadeIn('slow');
					$("body").css({"background":"#26344B"});
				}, error: function(err) {
					Jogo3.enviar_pontos();
				}
			});
		},
		retornaRank: function() {
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_lis_jogo_rank.php',
				data: { jogo: jogo_id, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					$("#jogo-content").html(' <div class="portlet light " id="jogo" style="display:none;width:95%">' +
											'<h3 style="text-align:center">Restam <span id="segundos">30</span> Segundos</h3>' +
											'<h3 style="text-align:center"><span style="color:red" id="pontos">0</span> Pontos</h3>' +
											'<hr>' +
											'<div class="portlet-body form">' +
												'<div class="pricing-content-1" id="resposta" style="display:none">' +
													'<div class="row" id="cores"></div>' +
													'<hr>' +
													'<div class="row" id="opcoes"></div>' +
												'</div>' +
												'<div class="pricing-content-1" id="pergunta">' +
													'<div class="row">' +
														'<h3 style="text-align:center" id="tempo_perg"></h3>' +
													'</div>' +
													'<hr>' +
													'<div class="row" id="cores_perg"></div>' +
												'</div>' +
											'</div>' +
										'</div>' +
										'<div class="portlet light " id="acabou" style="display:none;">' +
											'<h3 style="text-align:center">Acabou!!!</h3>' +
											'<h3 style="text-align:center"><span style="color:red" id="ponto_final">0</span> Pontos</h3>' +
											'<a href="javascript:Jogo3.retorna();" style="width:100%" class="btn btn-lg blue"> <i class="fa fa-refresh"></i>&nbsp;Tentar novamente</a>' +
											'<div class="myrank" style="display:none;text-align:center">' +
												'<hr>' +
                                                '<h4 style="text-align:center">Level: <span class="mylvl"></span></h4>' +
                                                '<h4 style="text-align:center">Experiência: <span class="myexp"></span></h4>' +
                                                '<h4 style="text-align:center">Próximo level: <span class="mynext"></span></h4>' +
											'</div>' +
											'<hr>' +
											'<table class="table table-hover table-light">' +
												'<tbody class="tbResultado">' +
												'</tbody>' +
											'</table>' +
										'</div>' +
										'<div class="portlet light " id="start">' +
											'<h3 style="text-align:center">' +
												'<img src="img/jogos/3.png" style="max-width:100%;padding:5px" />' +
											'</h3>' +
											'<h3 style="text-align:center">'+json.titulo+'</h3><br>' +
											'<div class="row list-separated">' +
												'<div class="col-xs-7">' +
													'<div class="font-grey-mint font-sm"> Tempo restante </div><div id="jjogo'+json.id+'" class="defaultCountdown"></div>' +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Jogadores </div>' +
													'<div class="uppercase font-black" style="font-size:30px"> ' + json.qtd + ' <i class="fa fa-users"></i></div>' +
												'</div>' +
												(json.soujogador == 1 ? '<div class="col-xs-12"><div class="font-grey-mint font-sm"> Tentativas restantes </div><div class="uppercase font-black" style="font-size:30px"> ' + json.tentativas + ' <i class="fa fa-child"></i></div></div>' : '')+
											'</div>' +
											'<a href="javascript:Jogo3.start();" id="btnjogar" class="btn btn-lg blue" style="width:100%"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar!</a>' +
											'<hr>' +
											'<table class="table table-hover table-light">' +
												'<tbody class="tbResultado">' +
												'</tbody>' +
											'</table>' +
										'</div>');
										
					setTimeout(function() {
						//if(json.tipo == 0) {
                            id = json.id;
							$('#jjogo' + id).countdown({
								until: +json.duracao,
								format: 'HMS',
								layout: '<div class="timer">'+
											'<div id="jval' + id + '" class="vals">'+
												'<div class="numbs h">{hnn}</div>'+
												'<div class="numbs m">{mnn}</div>'+
												'<div class="numbs s">{snn}</div>'+
											'</div>'+
											'<div class="labels">'+
												'<div class="labs hl">horas</div>'+
												'<div class="labs ml">mins</div>'+
												'<div class="labs sl">segs</div>'+
											'</div>'+
											'<div class="timer_over"></div>'+
										'</div>'
							});
							
							//setInterval(function() { if($("#jval" + id + " .h").html() == "00" && $("#jval" + id + " .m").html() == "00" && $("#jval" + id + " .s").html() == "00") { Home.init(); } }, 1000);
						//}
					
						var all = "";
						for(var i = 0; i < json.result.length; i++) {
							var pontos1 = json.result[i].pontos;
							all += '<tr>' + 
										'<td>'+(i+1)+'</td>' +
										'<td class="fit"><img class="user-pic rounded" src="'+json.result[i].img+'" width="35" height="35"></td>' +
										'<td><a href="javascript:Perfil.init(' + json.result[i].id + ');" class="primary-link">'+json.result[i].nome+'</a></td>' +
										'<td style="text-align:center"><span class="bold theme-font">'+(pontos1 == 0 ? "-" : pontos1)+'</span></td>' +
									'</tr>';
						}
						$(".tbResultado").html(all);
						if(json.rank != -1) {
							$(".myrank").show();
                            $(".myexp").html(json.exp + "xp");
                            $(".mylvl").html(json.lvl);
                            $(".mynext").html(json.next + "xp");
						}
					}, 250);
				}, error: function(err) {
					Jogo3.retornaRank();
				}
			});
		},
		goResposta: function() {
			$("#pergunta").hide();
			$("#resposta").fadeIn('slow');
			travado = false;
		},
		novoCenario: function(reset) {
			if(reset)
				tempo = 30;
			
			travado = true;
			qtd_click = 0;
			$("#resposta").hide();
			$("#pergunta").show();
			$("#tempo_perg").html("Memorize<br>4");
			
			count_mem = 4;
			intervalo_mem = setInterval(function() {
				count_mem--;
				if(count_mem > 0) {
					$("#tempo_perg").hide();
					$("#tempo_perg").html("Memorize<br>" + count_mem);
					$("#tempo_perg").fadeIn('slow');
				}
				if(count_mem <= 0) {
					clearInterval(intervalo_mem);
					Jogo3.goResposta();
				}
			}, 1000);
			
			sorteados = [];
			var i = 0;
			while(i < 4) {
				var sorteado = Math.floor((Math.random() * 8) + 1) - 1;
				while($.inArray(sorteado, sorteados) != -1) {
					sorteado = Math.floor((Math.random() * 8) + 1) - 1;
				}
				sorteados.push(sorteado);
				i++;
			}
			
			var sorteados_opcoes = [];
			i = 0;
			while(i < 8) { 
				var sorteado = Math.floor((Math.random() * 8) + 1) - 1;
				while($.inArray(sorteado, sorteados_opcoes) != -1) {
					sorteado = Math.floor((Math.random() * 8) + 1) - 1;
				}
				sorteados_opcoes.push(sorteado);
				i++;
			}
			
			var all = "";
			for(i = 0; i < sorteados.length; i++) {
				all += '<div class="col-xs-3" style="margin-bottom:20px">' +
							'<div class="price-column-container border-active">' +
								'<div class="price-table-head" style="background:' + cores_arr[sorteados[i]] + ';padding: 22px 0;">' +
									'<span></span>' +
								'</div>' +
							'</div>' +
						'</div>';
			}
			$("#cores_perg").html(all);
			
			all = "";
			for(i = 0; i < sorteados.length; i++) {
				all += '<div class="col-xs-3" style="margin-bottom:20px">' +
							'<div class="price-column-container border-active">' +
								'<div class="price-table-head" id="sort'+sorteados[i]+'" style="' + (i == 0 ? 'border: 5px solid #e5e9ee' : '') + ';padding: 22px 0;">' +
									'<span></span>' +
								'</div>' +
							'</div>' +
						'</div>';
			}
			$("#cores").html(all);
			
			all = "";
			for(i = 0; i < sorteados_opcoes.length; i++) {
				all += '<div class="col-xs-3" style="margin-bottom:20px">' +
							'<div class="price-column-container border-active">' +
								'<div class="price-table-head" style="padding: 22px 0;background:'+cores_arr[sorteados_opcoes[i]]+'" ontouchstart="' + ($.inArray(sorteados_opcoes[i], sorteados) == -1 ? "Jogo3.erro();" : "Jogo3.proximo("+sorteados_opcoes[i]+","+$.inArray(sorteados_opcoes[i], sorteados)+");") + '">' +
									'<span></span>' +
								'</div>' +
							'</div>' +
						'</div>';
			}
			$("#opcoes").html(all);
			
			$(".form").fadeIn("slow");
			intervalo = setInterval(function() {
				if(!travado)
					tempo--;
					
				$('#jogo').css({
					'position': 'absolute',
					'top': (($(window).height()/2) - ($('#jogo').height()/2)) + "px",
					'margin' : '0px 8px 0px 0px'
				});
				
			}, 500);
			
			$('#jogo').css({
				'position': 'absolute',
				'top': (($(window).height()/2) - ($('#jogo').height()/2)) + "px",
				'margin' : '0px 8px 0px 0px'
			});
		},
		proximo: function(id, ind) {
			if(qtd_click != ind)
				Jogo3.erro();
			else {
				$("#sort" + id).css({"background":cores_arr[id]});
				$("#sort" + id).css({"border":"none"});
				qtd_click++;
				if(qtd_click == 4) {
					Popup.init('Acertou!', 1000, 'green');
					$(".form").hide();
					clearInterval(intervalo);
					var rodada = 10;
					if(tempo > 0) {
						rodada = Math.ceil(((tempo * 100) / 30));
					}
					pontos += rodada;
					$("#pontos").html(pontos);
					Jogo3.novoCenario(true); 
				} else {
					$("#sort" + sorteados[ind + 1]).css({"border":"5px solid #e5e9ee"});
				}
			}
		},
		erro: function() {
			qtd_click = 0;
			Popup.init('Errou!', 1000, 'red');
			$(".form").hide();
			clearInterval(intervalo);
			Jogo3.novoCenario(false);
		}
	};
}();
//END JOGO 3