function aceitarTermo() {
    $("#loader").show();
    $.ajax({
        url: 'http://kasum.com.br/Kasum/includes/call_aceitar_termo.php',
        data: { sessao: db.getItem('session') },
        type: 'POST',
        dataType: 'json',
        async: true,
        success: function(json) {
            $("#loader").hide();
            if(!json.erro) {
                Home.init();
                $("#header_page").show();
            } else
                swal("Oops...", json.erro, "error");
        }, error: function(err) {
            $("#loader").hide();
            swal("Oops...", "Falha ao aceitar o termo, tente novamente!", "error");
        }
    });
}

var Notificacao = function() {
	return {
		init: function() {
			var sessao = db.getItem('session');
			if(sessao != undefined && sessao != null) {
				$.ajax({
					url: 'http://kasum.com.br/Kasum/includes/call_notificacao.php',
					data: { sessao: db.getItem('session') },
					type: 'POST',
					dataType: 'json',
					async: true,
					success: function(json) {
						if(json.id) {
							for(var i = 0; i < json.notificacao.length; i++) {
                                swal(json.notificacao[i].titulo, json.notificacao[i].desc, "info");
							}
							//$("#notificacoes_not").html(nots);
							//$("#notificacao_not").html(i);
							$("#nome_not").html(json.nome);
							$("#img_not").attr("src", json.img);
                            if(json.termo == '0') {
                                $("#header_page").hide();
                                ShowPage("termos");
                            }
							//$("#fichas_not").html(json.fichas);
						} else {
							setTimeout(function() { Notificacao.init(); }, 5000);
						}
					}, error: function(err) {
						setTimeout(function() { Notificacao.init(); }, 5000);
					}
				});
			}
		}, 
		remover: function() {
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_del_notificacao.php',
				data: { sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#notificacao_not").html("0");
				}, error: function(err) {
				
				}
			});
		}
	};
}();
Notificacao.init();
setInterval(function() { Notificacao.init(); }, 120000);