//BEGIN HOME
var Privados = function() {
	return {
		init: function() {
			Notificacao.init();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_privados.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.jogos) {
						var all = "";
						for(var i = 0; i < json.jogos.length; i++) {
							all += '<div class="portlet light ">' +
										'<div class="portlet-title">' +
											'<div class="caption">' +
												'<img src="img/jogos/'+json.jogos[i].catid+'.png" width="32" />' +
												'<span class="caption-subject font-red-sunglo bold uppercase">&nbsp;&nbsp;'+json.jogos[i].titulo+'</span>' +
											'</div>' +
										'</div>' +
										'<div class="portlet-body">' +
											'<div class="row list-separated">' +
												'<div class="col-xs-7">' +
													'<div class="font-grey-mint font-sm"> Premiação </div>' +
													'<div class="uppercase font-green" style="font-size:30px"> '+json.jogos[i].premiacao+' <img src="img/fichas.png" /></div>' +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Custo </div>' +
													'<img src="img/moedas/'+json.jogos[i].preco+'.png" width="40" />' +
												'</div>' +
												'<div class="col-xs-7">' +
													'<div class="font-grey-mint font-sm"> Jogo privado </div><br><i class="fa fa-lock" style="font-size:30px"></i>' +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Jogadores </div>' +
													'<div class="uppercase font-black" style="font-size:30px"> ' +json.jogos[i].qtd + ' <i class="fa fa-users"></i></div>' +
												'</div>' +
												'<div class="col-xs-12">' +
													(json.jogos[i].soujogador == 0 ? '<a href="javascript:JogoPrivado'+json.jogos[i].catid+'.senha('+json.jogos[i].id+');" class="btn btn-lg green" style="width:100%;margin-top:12px"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar</a>' : '<a href="javascript:JogoPrivado'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg red" style="width:100%;margin-top:12px"><i class="fa fa-thumbs-o-up"></i>&nbsp;Continuar</a>') +
												'</div>' +
											'</div>';
								  all += '</div>' +
									'</div>';
						}
						
						if(all == "")
							all = "<h4>Nenhum jogo encontrado</h4><br><h4><a href='javascript:ShowPage(\"criar\");'>Clique aqui</a> e crie agora mesmo!</h4>";
						
						$("#jogos_privados").html(all);
						
						ShowPage('privados');
					} else {
						if(json.erro)
							alert(json.erro);
						else
							alert("Ocorreu um erro ao carregar, tente novamente!");
						setTimeout(function() { Privados.init(); }, 2000);
					}
				}, error: function(err) {
					alert("Ocorreu uma falha ao carregar, tente novamente!");
					setTimeout(function() { Privados.init(); }, 2000);
				}
			});
		}
	};
}();