//BEGIN HOME
var Publicos = function() {
	return {
		init: function() {
			Notificacao.init();
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_publicos.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.jogos) {
						var all = "";
						for(var i = 0; i < json.jogos.length; i++) {
							all += '<div class="portlet light ">' +
										'<div class="portlet-title">' +
											'<div class="caption">' +
												'<img src="img/jogos/'+json.jogos[i].catid+'.png" width="32" />' +
												'<span class="caption-subject font-red-sunglo bold uppercase">&nbsp;&nbsp;'+json.jogos[i].titulo+'</span>' +
											'</div>' +
										'</div>' +
										'<div class="portlet-body">' +
											'<div class="row list-separated">' +
												'<div class="col-xs-7">' +
													'<div class="font-grey-mint font-sm"> Premiação </div>' +
													'<div class="uppercase font-green" style="font-size:30px"> '+json.jogos[i].premiacao+' <img src="img/fichas.png" /></div>' +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Custo </div>' +
													'<img src="img/moedas/'+json.jogos[i].preco+'.png" width="40" />' +
												'</div>' +
												'<div class="col-xs-7">' +
													'<div class="font-grey-mint font-sm"> Tempo restante </div><div id="pjogo'+json.jogos[i].id+'" class="defaultCountdown"></div>' +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Jogadores </div>' +
													'<div class="uppercase font-black" style="font-size:30px"> ' +json.jogos[i].qtd + ' <i class="fa fa-users"></i></div>' +
												'</div>' +
												'<div class="col-xs-12">' +
													(json.jogos[i].soujogador == 0 ? '<a href="javascript:Jogo'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg green" style="width:100%;margin-top:12px"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar</a>' : '<a href="javascript:Jogo'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg red" style="width:100%;margin-top:12px"><i class="fa fa-thumbs-o-up"></i>&nbsp;Continuar</a>') +
												'</div>' +
											'</div>';
											all += '<table class="table table-hover table-light">' +
														'<tbody>';
															for(var j = 0; j < json.jogos[i].jogadores.length; j++) {
																all += '<tr>' +
																			'<td>'+(j+1)+'</td>' +
																			'<td class="fit"><img class="user-pic rounded" src="'+json.jogos[i].jogadores[j].img+'" width="35" height="35"> </td>' +
																			'<td><a href="javascript:;" class="primary-link">'+json.jogos[i].jogadores[j].nome+'</a></td>' +
																			'<td style="text-align:center"><span class="bold theme-font">'+json.jogos[i].jogadores[j].pontos+'</span></td>' +
																		'</tr>';
															}
														all += '</tbody>' +
													'</table>';
										all += '</div>' +
									'</div>';
						}
						if(all == "")
							all = "<h4>Nenhum jogo encontrado</h4><br><h4><a href='javascript:ShowPage(\"criar\");'>Clique aqui</a> e crie agora mesmo!</h4>";
						
						$("#jogos_publicos").html(all);
						
						setTimeout(function() {
							for(var i = 0; i < json.jogos.length; i++) {
								id = json.jogos[i].id;
								$('#pjogo' + json.jogos[i].id).countdown({
									until: +json.jogos[i].duracao,
									format: 'HMS',
									layout: '<div class="timer">'+
												'<div id="pval' + id + '" class="vals">'+
													'<div class="numbs h">{hnn}</div>'+
													'<div class="numbs m">{mnn}</div>'+
													'<div class="numbs s">{snn}</div>'+
												'</div>'+
												'<div class="labels">'+
													'<div class="labs hl">horas</div>'+
													'<div class="labs ml">mins</div>'+
													'<div class="labs sl">segs</div>'+
												'</div>'+
												'<div class="timer_over"></div>'+
											'</div>'
								});
								eval('var intervalo'+id+' = setInterval(function() { if($("#pval' + id + ' .h").html() == "00" && $("#pval' + id + ' .m").html() == "00" && $("#pval' + id + ' .s").html() == "00") { Publicos.refresh(); clearInterval(intervalo'+id+'); } }, 1000);');
							}
						}, 250);
						
						ShowPage('publicos');
					} else {
						if(json.erro)
							alert(json.erro);
						else
							alert("Ocorreu um erro ao carregar, tente novamente!");
						setTimeout(function() { Publicos.init(); }, 2000);
					}
				}, error: function(err) {
					alert("Ocorreu uma falha ao carregar, tente novamente!");
					setTimeout(function() { Publicos.init(); }, 2000);
				}
			});
		},
		refresh: function() {
			Notificacao.init();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_publicos.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.jogos) {
						var all = "";
						for(var i = 0; i < json.jogos.length; i++) {
							all += '<div class="portlet light ">' +
										'<div class="portlet-title">' +
											'<div class="caption">' +
												'<img src="img/jogos/'+json.jogos[i].catid+'.png" width="32" />' +
												'<span class="caption-subject font-red-sunglo bold uppercase">&nbsp;&nbsp;'+json.jogos[i].titulo+'</span>' +
											'</div>' +
										'</div>' +
										'<div class="portlet-body">' +
											'<div class="row list-separated">' +
												'<div class="col-xs-7">' +
													'<div class="font-grey-mint font-sm"> Premiação </div>' +
													'<div class="uppercase font-green" style="font-size:30px"> '+json.jogos[i].premiacao+' <img src="img/fichas.png" /></div>' +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Custo </div>' +
													'<img src="img/moedas/'+json.jogos[i].preco+'.png" width="40" />' +
												'</div>' +
												'<div class="col-xs-7">' +
													'<div class="font-grey-mint font-sm"> Tempo restante </div><div id="pjogo'+json.jogos[i].id+'" class="defaultCountdown"></div>' +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Jogadores </div>' +
													'<div class="uppercase font-black" style="font-size:30px"> ' +json.jogos[i].qtd + ' <i class="fa fa-users"></i></div>' +
												'</div>' +
												'<div class="col-xs-12">' +
													(json.jogos[i].soujogador == 0 ? '<a href="javascript:Jogo'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg green" style="width:100%;margin-top:12px"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar</a>' : '<a href="javascript:Jogo'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg red" style="width:100%;margin-top:12px"><i class="fa fa-thumbs-o-up"></i>&nbsp;Continuar</a>') +
												'</div>' +
											'</div>';
											all += '<table class="table table-hover table-light">' +
														'<tbody>';
															for(var j = 0; j < json.jogos[i].jogadores.length; j++) {
																var pontos = json.jogos[i].jogadores[j].pontos;
																all += '<tr>' +
																			'<td>'+(j+1)+'</td>' +
																			'<td class="fit"><img class="user-pic rounded" src="'+json.jogos[i].jogadores[j].img+'"  width="35" height="35"> </td>' +
																			'<td><a href="javascript:;" class="primary-link">'+json.jogos[i].jogadores[j].nome+'</a></td>' +
																			'<td style="text-align:center"><span class="bold theme-font">'+ (pontos == 0 ? '-' : pontos) +'</span></td>' +
																		'</tr>';
															}
														all += '</tbody>' +
													'</table>';
										all += '</div>' +
									'</div>';
						}
						if(all == "")
							all = "<h4>Nenhum jogo encontrado</h4><br><h4><a href='javascript:ShowPage(\"criar\");'>Clique aqui</a> e crie agora mesmo!</h4>";
						
						$("#jogos_publicos").html(all);
						
						setTimeout(function() {
							for(var i = 0; i < json.jogos.length; i++) {
								id = json.jogos[i].id;
								$('#pjogo' + json.jogos[i].id).countdown({
									until: +json.jogos[i].duracao,
									format: 'HMS',
									layout: '<div class="timer">'+
												'<div id="pval'+id+'" class="vals">'+
													'<div class="numbs h">{hnn}</div>'+
													'<div class="numbs m">{mnn}</div>'+
													'<div class="numbs s">{snn}</div>'+
												'</div>'+
												'<div class="labels">'+
													'<div class="labs hl">horas</div>'+
													'<div class="labs ml">mins</div>'+
													'<div class="labs sl">segs</div>'+
												'</div>'+
												'<div class="timer_over"></div>'+
											'</div>'
								});
								eval('var intervalo'+id+' = setInterval(function() { if($("#pval' + id + ' .h").html() == "00" && $("#pval' + id + ' .m").html() == "00" && $("#pval' + id + ' .s").html() == "00") { Publicos.refresh(); clearInterval(intervalo'+id+'); } }, 1000);');
							}
						}, 250);
					}
				}
			});
		}
	};
}();