//BEGIN HOME
var Historico = function() {
	return {
		init: function() {
			window.scrollTo(0, 0);
			$("#lista_historico").html("");
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_historico.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.lista) {
						var all = "";
						if(json.lista.length > 0) {
							all += '<table class="table table-hover table-light" id="tbHistorico" style="display:none">' +
									'<thead>' +
										'<th><strong>Jogo</strong></th>' +
										'<th><strong>Fichas</strong></th>' +
										'<th><strong>Descrição</strong></th>' +
										'<th><strong>Data</strong></th>' +
									'</thead>' +
									'<tbody>';
							for(var i = 0; i < json.lista.length; i++) {
								all += '<tr>' +
											'<td>'+json.lista[i].jogo+'</td>' +
											'<td>'+json.lista[i].fichas+'</td>' +
											'<td>'+json.lista[i].desc+'</td>' +
											'<td>'+json.lista[i].data+'</td>' +
										'</tr>';
							}
							all += '</tbody>' +
								'</table>';
						} else {
							all = "Nenhuma transação encontrada!";
						}
						
						$("#lista_historico").html(all);
						
						ShowPage('historico');
						
						setTimeout(function() { $("#tbHistorico").cardtable(); }, 250);
					} else {
						if(json.erro)
							alert(json.erro);
						else
							alert("Ocorreu um erro ao carregar, tente novamente!");
						//setTimeout(function() { Rank.init(); }, 2000);
					}
				}, error: function(err) {
					alert("Ocorreu uma falha ao carregar, tente novamente!");
					//setTimeout(function() { Rank.init(); }, 2000);
				}
			});
		}
	};
}();