$("#btnBackCad, #btnBackEsq").click(function() {
	$(".register-form, .forget-form").hide();
	$(".login-form").fadeIn('slow');
});

function goRegistrar() {
	$(".login-form, .forget-form").hide();
	$(".register-form").fadeIn('slow');
}

function goEsqueceu() {
	$(".login-form, .register-form").hide();
	$(".forget-form").fadeIn('slow');
}

$("#log_senha").keyup(function(e) {
	if(e.keyCode == 13) {
		$("#btnEntrar").click();
	}
});

$("#btnEntrar").click(function() {
	var email = $("#log_email").val();
	var senha = $("#log_senha").val();
	if(email == "" || senha == "") {
		alert("Preencha todos os campos corretamente!");
	} else {
		$("#loader").show();
		$.ajax({
			url: 'http://kasum.com.br/Kasum/includes/call_login.php',
			type: 'POST',
			data: { email: email, senha: senha },
			dataType: 'json',
			success: function(json) {
				$("#loader").hide();
				if(json.sessao) {
					db.setItem("session", json.sessao);
					$("#img_not").attr("src", json.img);
					$("#loader").hide();
					$("#page_login").hide();
					$("#header_page, .page-container").show();
					$("#log_senha").val("");
					setTimeout(function() { Notificacao.init(); }, 250);
					Home.init();
				} else {
					alert(json.erro);
				}
			}, error: function(err) {
				
			}
		});
	}
});

$("#btnEsq").click(function() {
	$("#loader").show();
	var email = $("#esq_email").val();
	if(email == "") {
		alert("Preencha todos os campos corretamente!");
	} else {
		$.ajax({
			url: 'http://kasum.com.br/Kasum/includes/call_esqueceu.php',
			type: 'POST',
			data: { email: email },
			dataType: 'json',
			success: function(json) {
				$("#loader").hide();
				if(json.id) {
					alert("Em breve receberá um email com sua senha!");
				} else {
					alert(json.erro);
				}
			}, error: function(err) {
				alert("Ocorreu uma falha ao enviar, tente novamente!");
			}
		});
	}
});

$("#csenha, #senha").keyup(function(e) {
	if(e.keyCode == 13) {
		$("#btnCad").click();
	}
});

$("#btnCad").click(function() {
	var email = $("#email").val();
	var nome = $("#nome").val();
	var senha = $("#senha").val();
	var csenha = $("#csenha").val();
	if(email == "" || senha == "" || senha != csenha || nome == "") {
		if(csenha != senha)
			alert("Senhas não se combinam!");
		else
			alert("Preencha todos os campos corretamente!");
	} else {
		if($("#concordo").is(":checked")) {
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_cad_usuario.php',
				type: 'POST',
				data: { nome: nome, email: email, senha: senha },
				dataType: 'json',
				success: function(json) {
					$("#loader").hide();
					if(json.id) {
						alert("Pronto agora é só acessar!");
						$(".register-form, .forget-form").hide();
						$(".login-form").fadeIn('slow');
						$("#email, #nome, #senha, #csenha").val("");
					} else {
						alert(json.erro);
					}
				}, error: function(err) {
					
				}
			});
		} else {
			alert("Você precisa concordar com os termos de uso!");
		}
	}
});