//BEGIN HOME
var Meus = function() {
	return {
		init: function() {
			window.scrollTo(0, 0);
			$("#jogos_meus").html("");
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_meus.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.jogos) {
						var all = "";
						if(json.jogos.length > 0) {
							all += '<div class="portlet light ">' +
										'<div class="portlet-body form">' +
											'<table class="table table-hover table-light" id="tbMeusJogos" style="display:none">' +
											'<thead>' +
												'<tr class="uppercase">' +
													'<th> <strong>Título</strong> </th>' +
													'<th style="text-align:center"> <strong>Tentativas</strong> </th>' +
													'<th style="text-align:center"> <strong>Posição</strong> </th>' +
													'<th style="text-align:center"> <strong>Pontuação</strong> </th>' +
													'<th style="text-align:center"> <strong>Continuar</strong> </th>' +
												'</tr>' +
											'</thead>' +
											'<tbody>';
							for(var i = 0; i < json.jogos.length; i++) {
								all += '<tr>' +
											'<td>' + json.jogos[i].titulo + '</td>' +
											'<td style="text-align:center">' + json.jogos[i].tentativas + '</td>' +
											'<td style="text-align:center">' + json.jogos[i].posicao + '</td>' +
											'<td style="text-align:center">' + json.jogos[i].pontuacao + '</td>' +
											'<td style="text-align:center"><a class="btn btn-lg red" href="javascript:Jogo' + json.jogos[i].jogo + '.init(' + json.jogos[i].id + ');"><i class="fa fa-thumbs-o-up"></i>&nbsp;Continuar</a></td>' +
										'</tr>';	
							}
							all += '</tbody>' +
										'</table></div></div>';
						}
						if(all == "")
							all = "<h4>Nenhum jogo encontrado</h4><br><h4><a href='javascript:ShowPage(\"criar\");'>Clique aqui</a> e crie agora mesmo!</h4>";
						
						$("#jogos_meus").html(all);
						
						ShowPage('meus');
						
						setTimeout(function() { $("#tbMeusJogos").cardtable(); }, 250);
					} else {
						if(json.erro)
							alert(json.erro);
						else
							alert("Ocorreu um erro ao carregar, tente novamente!");
						setTimeout(function() { Meus.init(); }, 2000);
					}
				}, error: function(err) {
					alert("Ocorreu uma falha ao carregar, tente novamente!");
					setTimeout(function() { Meus.init(); }, 2000);
				}
			});
		}
	};
}();