//BEGIN CRIAR
var Perfil = function() {
	return {
		init: function(id) {
            $("#rank_icon, #criar_icon, #home_icon").css({"color":"#7f96ac"});
			$("#loader").show();
            if(id == undefined)
                id = db.getItem('session');
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_perfil.php',
				data: { sessao: db.getItem('session'), id: id },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
                    window.scrollTo(0, 0);
					$("#loader").hide();
					if(json.id) {
						clearInputs();
						$("#nome_per").val(json.nome);
                        $("#nome_perfil_non").html(json.nome);
						$("#img_per").attr("src", json.img);
                        if(json.main != '1') {
                            var all = "";
                            for(var i = 0; i < json.rank.length; i++) {
                                    all += '<div class="portlet light ">' +
                                                '<div class="portlet-title" style="text-align:center">' +
                                                    '<div class="caption">' +
                                                        '<img src="img/jogos/'+json.rank[i].catid+'.png" width="32" />' +
                                                        '<span class="caption-subject font-red-sunglo bold uppercase">&nbsp;&nbsp;'+json.rank[i].jogo+'</span>' +
                                                    '</div>' +
                                                '</div>' +
                                                '<table class="table table-hover table-light" style="text-align:center">' +
                                                    '<tbody>' +
                                                        '<tr>' +
                                                            '<td style="text-align:left"><h4>Rank</h4></td><td><h4><strong>'+json.rank[i].ordem+'</strong></h4></td>' +
                                                        '</tr>' +
                                                        '<tr>' +
                                                            '<td style="text-align:left"><h4>Experiência</h4></td><td><h4><strong>'+json.rank[i].exp+'</strong></h4></td>' +
                                                        '</tr>' +
                                                        '<tr>' +
                                                            '<td style="text-align:left"><h4>Level</h4></td><td><h4><strong>'+json.rank[i].level+'</strong></h4></td>' +
                                                        '</tr>' +
                                                        '<tr>' +
                                                            '<td style="text-align:left"><h4>Vitórias</h4></td><td><h4><strong style="color:green">'+json.rank[i].vitorias+'</strong></h4></td>' +
                                                         '</tr>' +
                                                        '<tr>' +
                                                            '<td style="text-align:left"><h4>Conquistas</h4></td><td><h4><strong>'+json.rank[i].rewards+'</strong></h4></td>' +
                                                        '</tr>' +
                                                     '</tbody>' +
                                                '</table>' +
                                             '</div>' +
                                        '</div>';
                            }
                            $("#div_perfil_rank").html(all);
                        } else 
                            $("#div_perfil_rank").html("");
                        $("#frm_perfil_main, #frm_perfil_non").hide();
                        if(json.main == '1') {
                            $("#frm_perfil_main").show();
                            $("#frm_editar_img").show();
                        } else {
                            $("#frm_perfil_non").show();
                            $("#frm_editar_img").hide();
                        }
						ShowPage("perfil");
					} else {
						if(json.erro)
                            swal("Oops...", json.erro, "error");
						else
                            swal("Oops...", "Ocorreu um erro ao cadastrar, tente novamente!", "error");
					}
				}, error: function(err) {
					$("#loader").hide();
                    swal("Oops...", "Ocorreu uma falha ao cadastrar, tente novamente!", "error");
				}
			});
		}, 
		editar: function() {
			var nome = $("#nome_per").val();
			if(nome == "") {
                swal("Oops...", "O Campo 'nome' não pode ser vazio!", "error");
			} else {
				$("#loader").show();
				$.ajax({
					url: 'http://kasum.com.br/Kasum/includes/call_edi_perfil.php',
					data: { 
						nome: nome,
						sessao: db.getItem('session') 
					},
					type: 'POST',
					dataType: 'json',
					async: true,
					success: function(json) {
						$("#loader").hide();
						if(json.id) {
                            swal("Sucesso!", "Editado com sucesso!", "success");
							ShowPage("perfil");
							window.scrollTo(0, 0);
						} else {
							if(json.erro)
                                swal("Oops...", json.erro, "error");
							else
                                swal("Oops...", "Ocorreu um erro ao cadastrar, tente novamente!", "error");
						}
					}, error: function(err) {
						$("#loader").hide();
                        swal("Oops...", "Ocorreu uma falha ao cadastrar, tente novamente!", "error");
					}
				});
			}
		},
		upload: function() {
			navigator.camera.getPicture(Perfil.onSuccessReg, Perfil.onFail, {
				quality: 90,
				targetWidth: 320,
				targetHeight: 240,
				saveToPhotoAlbum : true,
				destinationType: navigator.camera.DestinationType.FILE_URI
			});
		},
		onFail: function() {
            swal("Oops...", "Falha ao obter imagem!", "error");
		},
		onSuccessReg: function(imageData) {
			$("#capturar_per").hide();
			$("#status_per").show();
			Perfil.convertImageToCanvasReg(imageData);
		},
		convertImageToCanvasReg: function(url) {
			var img = new Image();
			img.crossOrigin = 'Anonymous';
			img.onload = function() {
				var canvas = document.getElementById('cvImg');
				var ctx = canvas.getContext('2d');
				ctx.clearRect(0, 0, 320, 240);
				var dataURL;
				canvas.height = this.height;
				canvas.width = this.width;
				ctx.drawImage(this, 0, 0);
				dataURL = canvas.toDataURL('image/jpeg');
				Perfil.uploadImgreg(dataURL);
			};
			$("#img_per, #img_not").attr("src", url);
			img.src = url;
		},
		uploadImgreg: function(data) {
			$("#status_per").html("Preparando...");
			
			$.ajax({
				xhr: function() {
					var xhr = new window.XMLHttpRequest();
					xhr.upload.addEventListener("progress", function(evt){
					  if (evt.lengthComputable) {
						var percentComplete = evt.loaded / evt.total;
						var percentInt = parseInt(percentComplete * 100);
						$("#status_per").css({"width":percentInt + "%"});
						$("#status_per").html("");
						if(percentInt == 100) {
							   $("#status_per").css({"width":"0%"});
							   $("#status_per").html("Carregando...");
						}
					  }
					}, false);
					xhr.addEventListener("progress", function(evt){
					  if (evt.lengthComputable) {
						var percentComplete = evt.loaded / evt.total;
						var percentInt = parseInt(percentComplete * 100);
						$("#status_per").css({"width":percentInt + "%"});
						$("#status_per").html("");
						if(percentInt == 100) {
							   $("#status_per").css({"width":"0%"});
							   $("#status_per").html("Carregando...");
						}
					  }
					}, false);
					return xhr;
				},
				url: "http://kasum.com.br/Kasum/includes/upload/upload-user.php",
				type: "POST",
				data: { img: data, sessao: db.getItem('session') },
				async: true,
				cache: false,
				success: function(res) {
					$("#capturar_per").show();
					$("#status_per").hide();
					if(res != "0" && res != "2") {
						$("#img_per, #img_not").attr("src", res);
					} else
                        swal("Oops...", "Erro ao enviar imagem, tente novamente!", "error");
				},
				error: function (res, res1, res2) {
                    swal("Oops...", "Falha ao enviar imagem, tente novamente!", "error");
					$("#capturar_per").show();
					$("#status_per").hide();
				}
			});
		}
	};
}();

$("#cpf_per, #bco_per, #age_per, #con_per").focus(function() {
	$(this).css({"border":"1px solid #c2cad8"});
});