//BEGIN CRIAR
var Pesquisar = function() {
	var search = "";
	return {
		pesquisa: function() {
			search = $("#pesquisar").val();
			if(search != "")
				Pesquisar.go();
		},
		go: function() {
            $("#rank_icon, #criar_icon, #home_icon").css({"color":"#7f96ac"});
			if($('.page-sidebar').height() > 0) { $('#set_menu').click(); }
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_pesquisar.php',
				data: { search: search, sessao: db.getItem('session') },
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.jogos) {
						var all = "";
						for(var i = 0; i < json.jogos.length; i++) {
							all += '<div class="portlet light ">' +
										'<div class="portlet-title">' +
											'<div class="caption">' +
												'<img src="img/jogos/'+json.jogos[i].catid+'.png" width="32" />' +
												'<span class="caption-subject font-red-sunglo bold uppercase">&nbsp;&nbsp;'+json.jogos[i].titulo+'</span>' +
											'</div>' +
										'</div>' +
										'<div class="portlet-body">' +
											'<div class="row list-separated">' +
                                                '<div class="col-xs-7">' +
													(json.jogos[i].tipo == 1 ? '<div class="font-grey-mint font-sm"> Jogo privado </div><br><i class="fa fa-lock" style="font-size:30px"></i>' : '<div class="font-grey-mint font-sm"> Tempo restante </div><div id="qjogo'+json.jogos[i].id+'" class="defaultCountdown"></div>') +
												'</div>' +
												'<div class="col-xs-5">' +
													'<div class="font-grey-mint font-sm"> Jogadores </div>' +
													'<div class="uppercase font-black" style="font-size:30px"> ' +json.jogos[i].qtd + ' <i class="fa fa-users"></i></div>' +
												'</div>' +
												'<div class="col-xs-12">' +
													(json.jogos[i].soujogador == 0 ? (json.jogos[i].tipo == 0 ? '<a href="javascript:Jogo'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg green" style="width:100%;margin-top:12px"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar</a>' : '<a href="javascript:Jogo'+json.jogos[i].catid+'.senha('+json.jogos[i].id+');" class="btn btn-lg green" style="width:100%;margin-top:12px"><i class="fa fa-hand-peace-o"></i>&nbsp;Jogar</a>') : (json.jogos[i].tipo == 0 ? '<a href="javascript:Jogo'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg red" style="width:100%;margin-top:12px"><i class="fa fa-thumbs-o-up"></i>&nbsp;Continuar</a>' : '<a href="javascript:Jogo'+json.jogos[i].catid+'.init('+json.jogos[i].id+');" class="btn btn-lg red" style="width:100%;margin-top:12px"><i class="fa fa-thumbs-o-up"></i>&nbsp;Continuar</a>')) +
												'</div>' +
											'</div>';
											//if(json.jogos[i].tipo == 0) {
												all += '<table class="table table-hover table-light">' +
															'<tbody>';
																for(var j = 0; j < json.jogos[i].jogadores.length; j++) {
																	var pontos = json.jogos[i].jogadores[j].pontos;
																	all += '<tr>' +
																				'<td>'+(j+1)+'</td>' +
																				'<td class="fit"><img class="user-pic rounded" src="'+json.jogos[i].jogadores[j].img+'" width="35" height="35"> </td>' +
																				'<td><a href="javascript:Perfil.init(' + json.jogos[i].jogadores[j].id + ');" class="primary-link">'+json.jogos[i].jogadores[j].nome+'</a></td>' +
																				'<td style="text-align:center"><span class="bold theme-font">'+ (pontos == 0 ? '-' : pontos) +'</span></td>' +
																			'</tr>';
																}
															all += '</tbody>' +
														'</table>';
											//}
										all += '</div>' +
									'</div>';
						}
						if(all == "")
							all = "<h4>Nada relacionado foi encontrado!</h4>";
						
						$("#lista_pesquisar").html(all);
						
						setTimeout(function() {
							for(var i = 0; i < json.jogos.length; i++) {
								if(json.jogos[i].tipo == 0) {
									id = json.jogos[i].id;
									$('#qjogo' + json.jogos[i].id).countdown({
										until: +json.jogos[i].duracao,
										format: 'HMS',
										layout: '<div class="timer">'+
													'<div id="qval' + id + '" class="vals">'+
														'<div class="numbs h">{hnn}</div>'+
														'<div class="numbs m">{mnn}</div>'+
														'<div class="numbs s">{snn}</div>'+
													'</div>'+
													'<div class="labels">'+
														'<div class="labs hl">horas</div>'+
														'<div class="labs ml">mins</div>'+
														'<div class="labs sl">segs</div>'+
													'</div>'+
													'<div class="timer_over"></div>'+
												'</div>'
									});
								}
							}
						}, 250);
						
						ShowPage('pesquisar');
					} else {
						if(json.erro)
                            swal("Oops...", json.erro, "error");
						else
                            swal("Oops...", "Ocorreu um erro ao pesquisar, tente novamente!", "error");
					}
				}, error: function(err) {
					$("#loader").hide();
                    swal("Oops...", "Ocorreu uma falha ao pesquisar, tente novamente!", "error");
				}
			});
		}
	};
}();

$("#pesquisar").keyup(function(e) {
	if(e.keyCode == 13) {
		Pesquisar.pesquisa();
	}
});

$("#btnSearch").click(function() {
	if($("#frmSearch").hasClass("open")) {
		Pesquisar.pesquisa();
	}
});