//BEGIN HOME
var Rank = function() {
	return {
		init: function() {
            $("#rank_icon, #criar_icon, #home_icon, #chart_icon").css({"color":"#7f96ac"});
            $("#rank_icon").css({"color":"#32c5d2"});
			window.scrollTo(0, 0);
			$("#div_rank").html("");
			$("#loader").show();
			$.ajax({
				url: 'http://kasum.com.br/Kasum/includes/call_rank.php',
				data: { 
					sessao: db.getItem('session')
				},
				type: 'POST',
				dataType: 'json',
				async: true,
				success: function(json) {
					$("#loader").hide();
					if(json.jogos) {
						var all = "";
						if(json.jogos.length > 0) {
							for(var i = 0; i < json.jogos.length; i++) {
									all += '<div class="portlet light ">' +
												'<div class="portlet-title" style="text-align:center">' +
													'<div class="caption">' +
														'<img src="img/jogos/'+json.jogos[i].catid+'.png" width="32" />' +
														'<span class="caption-subject font-red-sunglo bold uppercase">&nbsp;&nbsp;'+json.jogos[i].titulo+'</span>' +
													'</div>' +
												'</div>' +
												'<div class="portlet-body form">' +
												'<h4 style="text-align:center">Sua posição é: <span class="myposicao">' + json.jogos[i].posicao + '</span></h4><hr>';
									if(json.jogos[i].jogadores.length > 0) {
											all += '<table class="table table-hover table-light">' +
                                                        '<thead><tr><th>&nbsp;</th><th>&nbsp;</th><th>Usuário</th><th style="text-align:center">Level</th></tr></thead>' +
														'<tbody>';
														for(var j = 0; j < json.jogos[i].jogadores.length; j++) {
															all += '<tr>' +
																		'<td>'+(j+1)+'</td>' +
																		'<td class="fit"><img class="user-pic rounded" src="'+json.jogos[i].jogadores[j].img+'" width="35" height="35"> </td>' +
																		'<td><a href="javascript:Perfil.init(' + json.jogos[i].jogadores[j].id + ');" class="primary-link">'+json.jogos[i].jogadores[j].nome+'</a></td>' +
																		'<td style="text-align:center"><span class="bold theme-font">'+json.jogos[i].jogadores[j].pontos+'</span></td>' +
																	'</tr>';
														}
														all += '</tbody>' +
													'</table>';
									} else {
										all += "<h4>Nenhum jogador encontrado!</h4><br><h4><a href='javascript:Publicos.init();'>Clique aqui</a> e comece a jogar agora mesmo!</h4>";
									}
								all += '</div>' +
								'</div>';
							}
						}
						
						$("#div_rank").html(all);
						
						ShowPage('rank');
					} else {
						if(json.erro)
                            swal("Oops...", json.erro, "error");
						else
                            swal("Oops...", "Ocorreu um erro ao carregar, tente novamente!", "error");
						//setTimeout(function() { Rank.init(); }, 2000);
					}
				}, error: function(err) {
                    swal("Oops...", "Ocorreu uma falha ao carregar, tente novamente!", "error");
					//setTimeout(function() { Rank.init(); }, 2000);
				}
			});
		}
	};
}();